aboutsummaryrefslogtreecommitdiffstats
path: root/main/mariadb/APKBUILD
diff options
context:
space:
mode:
authorRoy Storey <kiwiroy@users.noreply.github.com>2016-07-29 02:23:01 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-11-09 08:23:45 +0000
commit79cb710e0874b80a303a792f6878aa3cacd1cec2 (patch)
tree8d986777f01c25b4908dfc9e0184a29dd24b795d /main/mariadb/APKBUILD
parent187fc4c1a57e189f6b77772b64ae7bfdaa37b355 (diff)
downloadaports-79cb710e0874b80a303a792f6878aa3cacd1cec2.tar.gz
aports-79cb710e0874b80a303a792f6878aa3cacd1cec2.tar.bz2
aports-79cb710e0874b80a303a792f6878aa3cacd1cec2.tar.xz
main/mariadb: move dialog.so and mysql_clear_password.so to -common
those can be used by client and for server replication
Diffstat (limited to 'main/mariadb/APKBUILD')
-rw-r--r--main/mariadb/APKBUILD11
1 files changed, 8 insertions, 3 deletions
diff --git a/main/mariadb/APKBUILD b/main/mariadb/APKBUILD
index 9b79f30899..7b1ec91f35 100644
--- a/main/mariadb/APKBUILD
+++ b/main/mariadb/APKBUILD
@@ -4,7 +4,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=mariadb
pkgver=10.1.18
-pkgrel=0
+pkgrel=1
pkgdesc="A fast SQL database server"
url="http://www.mariadb.org"
pkgusers="mysql"
@@ -125,11 +125,16 @@ _client_libs() {
}
common() {
- pkgdesc="MariaDB common files for boh server and client"
+ pkgdesc="MariaDB common files for both server and client"
replaces="mysql-common"
depends=
- mkdir -p "$subpkgdir"/usr/share/mysql "$subpkgdir"/etc
+ mkdir -p "$subpkgdir"/usr/share/mysql \
+ "$subpkgdir"/etc \
+ "$subpkgdir"/usr/lib/mysql/plugin
mv "$pkgdir"/etc/mysql "$subpkgdir"/etc/ || return 1
+ mv "$pkgdir"/usr/lib/mysql/plugin/dialog.so \
+ "$pkgdir"/usr/lib/mysql/plugin/mysql_clear_password.so \
+ "$subpkgdir"/usr/lib/mysql/plugin/ || return 1
local lang="charsets danish english french greek italian korean norwegian-ny
portuguese russian slovak swedish czech dutch estonian german
hungarian japanese norwegian polish romanian serbian spanish